Status: Closed Start date: 2010-10-03

Priority: Normal Due date: 2010-10-07

Assignee: Azamat Hackimov % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 1.0.3   

Resolution:  Affected version:  

Description

Looking at the current calendar view in Redmine it is visible that issues are translated to English as being tasks in the

calendar-legend. This can be confusing now that we also have subtasks (instead of subissues). This affects not only the English

language but probably others (eg. Dutch) too.

This issue seems caused by the fact that the i18n-strings used by the calendar view are a bit confusing. They contain task instead of

issue in their names.

I attach a patch which fixes the probable cause of the issue for all languages

1

, as well as the actual translation issue in both the

English (en) and Dutch (nl) translation-files.

1

 by changing the following three i18n-strings which are used in /app/views/calendars/show.html.erb (only):  

from :text_tip_task_begin_day to :text_tip_issue_begin_day

from :text_tip_task_end_day to :text_tip_issue_end_day

from :text_tip_task_begin_end_day to :text_tip_issue_begin_end_day

Associated revisions

Revision 4238 - 2010-10-07 17:26 - Azamat Hackimov

Rename task to issue in calendar (#6563)

History

#1 - 2010-10-07 17:22 - Azamat Hackimov

- Due date set to 2010-10-07

- Status changed from New to Resolved

- Target version set to 1.0.3

Fixed.

#2 - 2010-11-01 01:22 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.3

Files

fix_for_i18n_errors_on_calendar-r4215.diff 48.9 KB 2010-10-04 Mischa The Evil
